<!-- <h1 *ngIf = 'userDetails'>{{userDetails.name}}</h1>
<h2  *ngIf = 'userDetails'> {{userDetails.email}}</h2> -->

<div mat-dialog-content>
  <!-- <h1 *ngIf="data.pageValue">details of user <h2 style="color:red">{{data.pageValue.username}}</h2></h1> -->

  <ul>
    <li>
      <span *ngIf="data.pageValue">Name of the user</span>
      <h2 style="color: red">{{ data.pageValue.data.username }}</h2>
    </li>
    <li>
      <span *ngIf="data.pageValue">Email of the user</span>
      <h2 style="color: red">{{ data.pageValue.data.email }}</h2>
    </li>
    <li>
      <span *ngIf="data.pageValue">PhoneNumber of the user</span>
      <h2 style="color: red">{{ data.pageValue.data.phoneNumber }}</h2>
    </li>
    <li>
      <span *ngIf="data.pageValue">BloodGroup of the user</span>
      <h2 style="color: red">{{ data.pageValue.data.bloodGroup }}</h2>
    </li>
  </ul>
</div>
